/*
*
* CwNcAdvanceRequestMapper.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-05-16
*/
package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwNcAdvanceRequest;
import com.dhcc.finance.main.domain.CwNcAdvanceRequestExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwNcAdvanceRequestMapper {
    /**
     *
     * @mbg.generated 2020-05-16
     */
    long countByExample(CwNcAdvanceRequestExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int deleteByExample(CwNcAdvanceRequestExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int insert(CwNcAdvanceRequest record);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int insertSelective(CwNcAdvanceRequest record);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    List<CwNcAdvanceRequest> selectByExampleWithBLOBs(CwNcAdvanceRequestExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    List<CwNcAdvanceRequest> selectByExample(CwNcAdvanceRequestExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    CwNcAdvanceRequest selectByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByExampleSelective(@Param("record") CwNcAdvanceRequest record, @Param("example") CwNcAdvanceRequestExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByExampleWithBLOBs(@Param("record") CwNcAdvanceRequest record, @Param("example") CwNcAdvanceRequestExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByExample(@Param("record") CwNcAdvanceRequest record, @Param("example") CwNcAdvanceRequestExample example);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByPrimaryKeySelective(CwNcAdvanceRequest record);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByPrimaryKeyWithBLOBs(CwNcAdvanceRequest record);

    /**
     *
     * @mbg.generated 2020-05-16
     */
    int updateByPrimaryKey(CwNcAdvanceRequest record);
}